<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: duble_ip.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";


if (file_exists(INFUSIONS."duble_ip/locale/".$settings['locale'].".php")) {
	include INFUSIONS."duble_ip/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."duble_ip/locale/Polish.php";
}

opentable($locale['ip001']);
if(iADMIN){
$wynik = dbquery("SELECT GROUP_CONCAT(user_id) AS user_id, GROUP_CONCAT(user_name) AS ip_user_name, user_ip, COUNT(user_ip) AS num FROM ".DB_USERS." GROUP BY user_ip HAVING num > 1");
echo "<table border='0' width='100%' class='small'>";
if(dbrows($wynik) > 0) {      
$users = '';
while($r = dbarray($wynik))    
{
$name = explode(",", $r['ip_user_name']);
$id = explode(",", $r['user_id']);
$c = array_combine($id, $name);
foreach ($c as $key => $value) {
$users .= "<a href='".BASEDIR."profile.php?lookup=".$key."'>".$value."</a>, ";  
}
echo "<tr><td class='small'>".THEME_BULLET." <strong>".$r['user_ip']."</strong> - ".$locale['ip002']." ".number_format($r['num'])." ".$locale['ip003']."</td></tr>";
echo "<tr><td class='small'>".substr($users, 0, -2)."</td></tr>";
}
} else {
echo "<tr><td class='small'>".$locale['ip004']."</td></tr>";  
}
echo "</table>";
}
closetable();
closeside();
require_once THEMES."templates/footer.php";
?>